/*************************************************
 n64 rom dump script
*************************************************/
function cpu_dump(d, rom_size, banksize)
{
	for(local i = 0; i < rom_size; i += 0x10000){
		cpu_read(d, 0, 0x10000);
	}
}

function cpu_erase(d, rom_size, flash_chip_type)
{
	//not need here
}
function cpu_flash(d, rom_size, banksize)
{
	//not need here
}
function save_dump(d, save_size, max_size)
{
	if(save_size<=0x800)//eep
	{
		for(local i = 0; i < save_size; i += 0x200){
			eep_read(d, i/0x200, i/0x200);
		}
	}
	else
	for(local i = 0; i < save_size; i += 0x400){
		cpu_read(d, 0x8000000|i, 0x400);
	}
}
function save_erase(d, save_size, max_size)
{
	//not need here
}
function save_write(d, save_size, max_size)
{
	if(save_size<=0x800)//eep
	{
		for(local i = 0; i < save_size; i += 0x200){
			eep_write(d, i, i/0x200);
		}
	}
	else
	for(local i = 0; i < save_size; i += 0x200){
		cpu_write(d, 0x8000000|i, 0x200);
	}
}
